<?php
function puissance($x,$n)
{$res=1;
 for ($i=0 ; $i<$n; $i++)
 {$res=$res*$x;}
 return $res;
}
echo "Entrez 2 entiers : "; // Saisie de deux entiers
fscanf(STDIN,"%d %d",$a,$b);
$resultat=puissance($a,$b); // Appel de la fonction
echo "$a puissance $b = $resultat".PHP_EOL ;
?>
